petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStrideScale

Scales a subvector of a vector defined by a starting point and a stride.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideScale(Vec v,PetscInt start,PetscScalar scale)

Logically Collective on Vec Many br

### Input Parameter

| v | - the vector Many br
| start | - starting point of the subvector (defined by a stride) Many br
| scale | - value to multiply each subvector entry by Many br

### Notes

One must call VecSetBlockSize() before this routine to set the stride Many brinformation, or use a vector created from a multicomponent DMDA. Many br

This will only work if the desire subvector is a stride subvector Many br

Many br

### See Also

VecNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin(), VecStrideMax(), VecStrideScale()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages